%global luaver 5.1
%global lualibdir %{_libdir}/lua/%{luaver}
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:		lua-lgi
Version:	0.6.2
Release:	5%{?dist}
Summary:	Lua bindings to GObject libraries
License:	MIT
URL:		https://github.com/pavouk/lgi
Source0:	https://github.com/pavouk/lgi/archive/%{version}.tar.gz
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.8
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	lua >= %{luaver}
BuildRequires:	lua-devel >= %{luaver}
# for the testsuite:
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	Xvfb xauth
BuildRequires:	lua-markdown

Requires:	lua >= %{luaver}

%global __requires_exclude_from %{_docdir}

%description
LGI is gobject-introspection based dynamic Lua binding to GObject
based libraries. It allows using GObject-based libraries directly from
Lua.


%package samples
Summary:    Examples of lua-lgi usage
# gtk-demo is LGPLv2+
License:    LGPLv2+ and MIT
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description samples
%{summary}


%prep
%setup -q -n lgi-%{version}


%build
# we misuse LIBFLAG here instead of patching the makefile
# see https://github.com/pavouk/lgi/issues/32
make %{?_smp_mflags} \
  "COPTFLAGS=%{optflags}" \
  "LIBFLAG=-shared %{__global_ldflags}"

# generate html documentation
for f in README.md docs/*.md; do
  markdown.lua "$f" > ${f%%.md}.html
done


%install
make install \
  "PREFIX=%{_prefix}" \
  "LUA_LIBDIR=%{lualibdir}" \
  "LUA_SHAREDIR=%{luapkgdir}" \
  "DESTDIR=%{buildroot}"


%check
xvfb-run -a -w 1 make check \
  "COPTFLAGS=%{optflags}" \
  "LIBFLAG=-shared %{__global_ldflags}" \
  "LIBDIR=%{_libdir}"


%files
%doc LICENSE README.html
%doc docs/*.html
%{luapkgdir}/lgi.lua
%{luapkgdir}/lgi
%{lualibdir}/lgi


%files samples
%doc samples/*


%changelog
* Tue Jan  8 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-5
- Update license tag.

* Mon Jan  7 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-4
- Remove unnecessary patch.
- Update license tag: gtk-demo is licensed under LGPLv2+.
- Put fully versioned dependency in subpackage.

* Wed Jan  2 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-3
- Move samples to separate package.
- Generate HTML documentation from markdown docs.

* Sun Dec 23 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-2
- Add gtk3 as BR, required by the testsuite.

* Sun Dec 23 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-1
- New package.
